# Livable - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts / Livable

# Livable

(common) `interface Livable` (source)

### Properties

(common)

#### livePeriod

Period in SECONDS

`abstract val livePeriod: Int?`

### Inheritors

(common)

#### InlineQueryResultLocation

`data class InlineQueryResultLocation : InlineQueryResult, Locationed, Livable, TitledInlineQueryResult, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult`

(common)

#### InputLocationMessageContent

`data class InputLocationMessageContent : Locationed, Livable, InputMessageContent`